Vla-get-polartrackingvector

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-polartrackingvector vla-object )


機能
極トラッキング ベクトルの表示を取得する。


引数
  • vla-object … PreferencesDrafting のVLAオブジェクト


戻り値
ブール型
  •  :vlax-True: 極トラッキング ベクトルは使用可能。
  •  :vlax-False: 極トラッキング ベクトルは使用不能。


  • MEMO: このプロパティの初期値は True。
  • 注 : このプロパティの値は、システム変数 TRACKPATH に格納される。


サンプル
(vl-load-com)
(defun c:Example_PolarTrackingVector()
    ;; 極トラッキング ベクトルの表示を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))

    ;; 既定値を取得
    (setq originalValue (vla-get-PolarTrackingVector (vla-get-Drafting preferences)))
    (alert (strcat "現在の極トラッキング ベクトルの表示設定は: " (if (= originalValue :vlax-true) "True" "False")))

    ;; 変更
    (vla-put-PolarTrackingVector (vla-get-Drafting preferences) (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-PolarTrackingVector (vla-get-Drafting preferences)))
    (alert (strcat "新しい極トラッキング ベクトルの表示設定は : " (if (= newValue :vlax-true) "True" "False")))

    ;; 戻す
    (vla-put-PolarTrackingVector (vla-get-Drafting preferences) originalValue)
    (alert (strcat "極トラッキング ベクトルの表示設定を次に戻します : " (if (= originalValue :vlax-true) "True" "False")))
)

関連事項